org.apache.sling.maven.projectsupport

## Class ArtifactDefinition

- java.lang.Object
- - org.apache.sling.maven.projectsupport.ArtifactDefinition

    public class ArtifactDefinition
    extends Object

The definition of an artifact.

### Constructor Summary

Constructors
Constructor and Description
`ArtifactDefinition()`
`ArtifactDefinition(Bundle bundle, int startLevel)`
`ArtifactDefinition(org.codehaus.plexus.util.xml.Xpp3Dom config)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getArtifactId()`
`String` `getClassifier()`
`ArtifactDefinition[]` `getContainedArtifacts()`
`String` `getGroupId()`
`String` `getRunModes()`
`int` `getStartLevel()`
`String` `getType()`
`String` `getVersion()`
`void` `initDefaults(String commaDelimitedList)` Initialize this ArtifactDefinition with a set of default values from a comma-delimited string.
`void` `initDefaults(String valueList, char delimiter)` Initialize this ArtifactDefinition with a set of default values from a delimited string.
`void` `initDefaults(String groupId, String artifactId, String version, String type, String classifier, int startLevel)` Initialize this ArtifactDefinition with a set of default values.
`void` `setArtifactId(String artifactId)`
`void` `setClassifier(String classifier)`
`void` `setGroupId(String groupId)`
`void` `setStartLevel(int startLevel)`
`void` `setType(String type)`
`void` `setVersion(String version)`
`List<Bundle>` `toBundleList()`
`static List<org.apache.maven.model.Dependency>` `toDependencyList(Bundle bundle, String scope)`
`List<org.apache.maven.model.Dependency>` `toDependencyList(String scope)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ArtifactDefinition

    public ArtifactDefinition()

#### ArtifactDefinition

    public ArtifactDefinition(Bundle bundle,
                              int startLevel)

#### ArtifactDefinition

    public ArtifactDefinition(org.codehaus.plexus.util.xml.Xpp3Dom config)

### Method Detail

#### getArtifactId

    public String getArtifactId()

#### getClassifier

    public String getClassifier()

#### getGroupId

    public String getGroupId()

#### getStartLevel

    public int getStartLevel()

#### getType

    public String getType()

#### getVersion

    public String getVersion()

#### getRunModes

    public String getRunModes()

#### setArtifactId

    public void setArtifactId(String artifactId)

#### setClassifier

    public void setClassifier(String classifier)

#### setGroupId

    public void setGroupId(String groupId)

#### setStartLevel

    public void setStartLevel(int startLevel)

#### setType

    public void setType(String type)

#### setVersion

    public void setVersion(String version)

#### getContainedArtifacts

    public ArtifactDefinition[] getContainedArtifacts()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### initDefaults

    public void initDefaults(String commaDelimitedList)

Initialize this ArtifactDefinition with a set of default values from a comma-delimited string. This string must have 6 items in it: [groupId],[artifactId],[version],[type],[classifier],[startLevel] The only required parameter is the last one, which must be parseable as an integer.

Parameters:
  `commaDelimitedList` - the comma-delimited list

#### initDefaults

    public void initDefaults(String valueList,
                             char delimiter)

Initialize this ArtifactDefinition with a set of default values from a delimited string. This string must have 6 items in it: [groupId],[artifactId],[version],[type],[classifier],[startLevel]

Parameters:
  `valueList` - the delimited list
  `delimiter` - the delimiter

#### initDefaults

    public void initDefaults(String groupId,
                             String artifactId,
                             String version,
                             String type,
                             String classifier,
                             int startLevel)

Initialize this ArtifactDefinition with a set of default values. If the corresponding field in this object is null (or 0 in the case of start level) and the parameter is non-null, the parameter value will be used.

Parameters:
  `groupId` - the groupId
  `artifactId` - the artifactId
  `version` - the version
  `type` - the artifact type
  `classifier` - the artifact classified
  `startLevel` - the start level

#### toBundleList

    public List<Bundle> toBundleList()

#### toDependencyList

    public List<org.apache.maven.model.Dependency> toDependencyList(String scope)

#### toDependencyList

    public static List<org.apache.maven.model.Dependency> toDependencyList(Bundle bundle,
                                                                           String scope)